/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "mapchange.h"
#include "asset/assetmap.h"
#include "game/game.h"

void gameStateMapChangeUpdate() {
  assetMapLoad(MAP_LIST_PATHS[GAME.mapNext], &MAP_MAIN);
  GAME.state = GAME_STATE_OVERWORLD;
  GAME.currentMap = &MAP_MAIN;
  map_t *test = &MAP_MAIN;
}